# -*- coding: utf8 -*-
from zope.sqlalchemy import mark_changed
import transaction

def execute_query(request, query, params):
    """Execute query and mark session as changed"""
    request.dbsession.execute(query, params)
    mark_changed(request.dbsession)
    transaction.commit()

